version: '3'

services:
  web:
    image: demo-bit2bit/raffle:latest
    command: newrelic-admin run-program python manage.py runserver 0.0.0.0:8888
    volumes:
      - .:/code
    ports:
      - "8888:8888"
    environment:
      - NEW_RELIC_CONFIG_FILE=/code/newrelic.ini
  static:
    image: demo-bit2bit/raffle:latest
    command: python manage.py collectstatic --noinput
    volumes:
      - .:/code
  test:
    image: demo-bit2bit/raffle:latest
    command: python manage.py test
    volumes:
      - .:/code
  sonar:
    image: demo-bit2bit/raffle:latest
    command: /opt/sonar-scanner-3.3.0.1492-linux/bin/sonar-scanner
    volumes:
      - .:/code
  cypress:
    image: cypress/base:8
    command: >
      sh -c "
        npm install;
        npm run cypress install;
        npm run cypress run -- --spec cypress/integration/raffle-test/search.js;"
    volumes:
      - .:/code
    working_dir: /code/Cypress-test